Bug 1000640 - Add support for overriding request timeout in gateways
Add support for overriding request timeout in gateways
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: ---
Assigned To: Brian Fitzpatrick
Andrej Podhradsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 19:23 EDT by Brian Fitzpatrick
Modified: 2014-06-16 19:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1656 Major Closed Add support for overriding request timeout in gateways 2014-06-16 19:51:47 EDT

  None (edit)
Description Brian Fitzpatrick 2013-08-23 19:23:49 EDT
Description of problem:
Add a "Request Timeout" field for SOAP, HTTP and RESTEasy gateway. Please note that this is only applicable for reference bindings. The allowed value for this field is a PropInteger (String for parameterized value or actual Integer value).

HTTP

https://github.com/jboss-switchyard/components/pull/541/files#diff-4
https://github.com/jboss-switchyard/components/pull/541/files#diff-7

RESTEasy

https://github.com/jboss-switchyard/components/pull/541/files#diff-13
https://github.com/jboss-switchyard/components/pull/541/files#diff-16

SOAP

https://github.com/jboss-switchyard/components/pull/541/files#diff-22
https://github.com/jboss-switchyard/components/pull/541/files#diff-25


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 JBoss JIRA Server 2013-08-23 19:24:34 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1656

Started model changes today. Will continue with UI tweaks on Monday.
Comment 3 JBoss JIRA Server 2013-08-26 16:48:26 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1656

Have the UI changes wrapped up. Just doing some final testing before creating the PR. 

While testing I discovered that the Threshold field for Mtom support of SOAP bindings was not available in the tooling. I have gone ahead and added it as part of this work.
Comment 4 JBoss JIRA Server 2013-08-26 23:14:48 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1656

PR addresses SOAP, HTTP, and RESTeasy models and UI in the SwitchYard Editor, plus the missing MTom field.
Comment 5 JBoss JIRA Server 2013-08-28 09:29:04 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1656

pushed
Comment 9 Andrej Podhradsky 2013-12-13 09:00:50 EST
Verified with JBDS-IS 7.0.0.CR1 (contains SwitchYard Tools 1.1.1.v20131205-1627-H426-Final)
Comment 10 JBoss JIRA Server 2014-06-16 19:51:47 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1656 to Closed

Note You need to log in before you can comment on or make changes to this bug.